function xy = de_casteljau(b, t);

n = size(b, 2);
l = size(t, 2);

ti = linspace(0, 1, n);

b_ik = cell(n, 1);

for i=1:n
   b_ik{i} = b(:, i) * ones(1, l);
end

one_m_t = ones(2, 1) * (1-t);
the_t = ones(2, 1) * t;

for i=2:n
   for j=n:-1:i
      b_ik{j} = (one_m_t).*b_ik{j} + the_t.*b_ik{j-1};
   end
end

xy = b_ik{n};
